# Class ExtractSequences

java.lang.Object
picard.cmdline.CommandLineProgram
picard.reference.ExtractSequences

@DocumentedFeature public class ExtractSequences extends CommandLineProgram
Simple command line program that allows sub-sequences represented by an interval list to be extracted from a reference sequence file.

## Field Summary

Fields
Modifier and Type
Field
Description
`File`
`INTERVAL_LIST`
`int`
`LINE_LENGTH`
`File`
`OUTPUT`

### Fields inherited from class CommandLineProgram

`COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, SYNTAX_TRANSITION_URL, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

## Constructor Summary

Constructors
Constructor
Description
`ExtractSequences()`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`doWork()`
Do the work after command line has been parsed.
`protected boolean`
`requiresReference()`

### Methods inherited from class CommandLineProgram

`checkRInstallation, customCommandLineValidation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, setDefaultHeaders, useLegacyParser`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INTERVAL_LIST

@Argument(doc="Interval list describing intervals to be extracted from the reference sequence.") public File INTERVAL_LIST

### OUTPUT

@Argument(shortName="O", doc="Output FASTA file.") public File OUTPUT

### LINE_LENGTH

@Argument(doc="Maximum line length for sequence data.") public int LINE_LENGTH

## Constructor Details

### ExtractSequences

public ExtractSequences()

## Method Details

### requiresReference

protected boolean requiresReference()

Overrides:
  `requiresReference` in class `CommandLineProgram`

### doWork

protected int doWork()
Description copied from class: `CommandLineProgram`
Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.

Specified by:
  `doWork` in class `CommandLineProgram`
Returns:
  program exit status.